package com.zcloud.basic.info.domain.gateway;

import com.zcloud.basic.info.domain.model.UserExpandInfoE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2026-01-05 14:12:18
 */
public interface UserExpandInfoGateway {

    /**
     * 新增
     */
    Boolean add(UserExpandInfoE userExpandInfoE);

    /**
     * 修改
     */
    Boolean update(UserExpandInfoE userExpandInfoE);

    /**
     * 删除
     */
    Boolean deletedUserExpandInfoById(Long id);

    Boolean deletedUserExpandInfoByIds(Long[] id);
}

